文档API 参考

Rust · 0.1.0

Test Instance Email Setting

POST /api/v1/instance/settings/notification:testEmail

InstanceService · InstanceService_TestInstanceEmailSetting

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

需要实例管理员;普通已认证账号不能执行此操作。

此调用会发送邮件

使用提交的邮件设置或已存储配置,向 recipientEmail 发送测试邮件;省略时使用调用管理员的邮箱。它不会保存或启用配置。最终收件人为空则无效。成功完成后除 {} 外没有结果对象。

成功响应

此操作没有资源对象需要返回。Rust REST 传输将 protobuf Empty 序列化为 HTTP 200 与 JSON {}。生成接口定义中的成功结构为空是有意行为,不表示遗漏了请求说明。

请求

Tests notification email delivery with the provided or stored SMTP settings.

POST/api/v1/instance/settings/notification:testEmail

参数

未声明路径或查询参数。

请求体

必需

application/json · TestInstanceEmailSettingRequest

响应

200 · OK

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "InstanceService"
  ],
  "description": "Tests notification email delivery with the provided or stored SMTP settings.",
  "operationId": "InstanceService_TestInstanceEmailSetting",
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/TestInstanceEmailSettingRequest"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "OK",
      "content": {}
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}